Package org.jcsp.net.settings

# Class Protocols

java.lang.Object
org.jcsp.net.settings.Protocols

public class Protocols extends Object
Used internally within the JCSP network infrastructure to represent a set of protocols.

Author:
  Quickstone Technologies Limited

## Constructor Summary

Constructors
Constructor
Description
`Protocols()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addProtocol(Protocol p)`
`Protocol`
`getLastProtocol()`
`Protocol`
`getProtocol(String protocolID)`
`Protocol[]`
`getProtocols()`
`void`
`removeProtocol(Protocol p)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Protocols

public Protocols()

## Method Details

### addProtocol

public void addProtocol(Protocol p)

### removeProtocol

public void removeProtocol(Protocol p)

### getProtocol

public Protocol getProtocol(String protocolID)

### getLastProtocol

public Protocol getLastProtocol()

### getProtocols

public Protocol[] getProtocols()

### toString

public String toString()

Overrides:
  `toString` in class `Object`